## gtimer 2.0.0

=== debian/changelog ===
gtimer (2.0.0-1.2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:27:05 +0000

gtimer (2.0.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * new patch GTK_LIB_missing_-lX11:
    - configure.ac: Replace -lXext by -lX11 in GTK_LIB. (Closes: #713599)

 -- Bill Allombert <ballombe@debian.org>  Sat, 12 Oct 2013 17:58:28 +0200

gtimer (2.0.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix segfault due to uninitialized variable. closes: #668663.

 -- Willi Mann <willi@debian.org>  Sun, 17 Jun 2012 17:26:30 +0200

gtimer (2.0.0-1) unstable; urgency=low

  * Update watch file
  * Update debhelper compatibilty to V7 (significantly clean up packaging)
  * New Upstream Release (Closes: #575666: RFP: GTimer -- GTK-based tool for
    timing tasks)
  * Initial release. (Closes: #636822: ITP: gtimer -- GTK-based X11 task
    timer)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Taylor LeMasurier-Wren <ripps818@gmail.com>  Sat, 06 Aug 2011 03:07:30 -0500

gtimer (1.1.6-13) unstable; urgency=low

  * Add a desktop file and icon, courtesy of Ubuntu.  Thanks, Nathan
    Handler.  (Closes: #492498, LP: #248346)
  * Reference the icon in the menu file as well.
  * Fix the doc-base section (remove the Applications prefix).
  * Use filter instead of findstring to parse DEB_BUILD_OPTIONS.
  * Update standards version to 3.8.0.
    - Add README.source explaining the dbs system.
    - Add a patch target to debian/rules.

 -- Russ Allbery <rra@debian.org>  Sat, 26 Jul 2008 12:46:27 -0700

gtimer (1.1.6-12) unstable; urgency=low

  * Fix segfault when displaying HTML reports introduced by the patch to
    make the browser configurable.  Thanks to Chad Skeeters for the
    patch.
  * Change menu section to Applications/Project Management per the new
    menu policy.
  * Add a Homepage control field.
  * Update standards version to 3.7.3.
  * Update debhelper compatibility level to V5 (no changes required).
  * Wrap Build-Depends for readability.

 -- Russ Allbery <rra@debian.org>  Sat, 29 Dec 2007 16:45:57 -0800

gtimer (1.1.6-11) unstable; urgency=low

  * Choosing revert after an idle was subtracting time from all instances
    of that task, not just the running one.  Fixed.  Thanks to Ricardo
    Lopes Pereira for the report.  (Closes: #366762)
  * Always pass the host and build types to configure.
  * Update standards version to 3.7.2 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sat, 20 May 2006 22:31:51 -0700

gtimer (1.1.6-10) unstable; urgency=low

  * Fix a segfault on daily reports when tasks have annotations and
    annotation data is requested.  (Closes: #350711)
  * Add a Last Year report.  Thanks, Bruno Gravato.  (Closes: #353046)
  * Don't compress the contrib scripts.
  * Add the build-indep and binary-indep targets.
  * Clean up stamp file handling in debian/rules.

 -- Russ Allbery <rra@debian.org>  Mon, 27 Feb 2006 00:37:01 -0800

gtimer (1.1.6-9) unstable; urgency=low

  * Providing binary-indep in debian/rules is required by Policy even if
    there are no arch-independent packages.  Whoops.
  * Mark install target as phony in debian/rules.

 -- Russ Allbery <rra@debian.org>  Sat,  3 Dec 2005 11:12:33 -0800

gtimer (1.1.6-8) unstable; urgency=low

  * Update maintainer address.

 -- Russ Allbery <rra@debian.org>  Fri, 18 Nov 2005 12:45:09 -0800

gtimer (1.1.6-7) unstable; urgency=low

  * Add README.Debian explaining how to get started and describing the
    user-visible changes relative to stock GTimer.
  * Add an explicit packaging copyright and license statement.
  * Update the FSF address in copyright.

 -- Russ Allbery <rra@stanford.edu>  Mon,  3 Oct 2005 15:52:11 -0700

gtimer (1.1.6-6) unstable; urgency=low

  * Build-depend on libxss-dev instead of xlibs-static-dev for the X
    transition.
  * Add a -weekstart command-line option to set the first day of the week
    for weekly reports.  (Closes: #307634)
  * Use the user's locale for weekday names as well.
  * Default to sensible-browser rather than x-www-browser and separate
    that patch out from the patch to make the browser configurable.
  * Fix the erroneous change to open modes in 10_57969-printpipe.patch so
    that 22_276011-reportmode.patch is no longer necessary.
  * 21_193517-oneMinIncr.diff subsumes 10_40450-32bitism.patch, so drop
    the latter.
  * Consolidate all of the temporary file patches.
  * Add history log entries at the top of the affected files in each patch
    rather than adding comments at the location of the change, with the
    exception of the Debian-specific change to turn off checks for newer
    versions.
  * Build with debugging symbols by default and support noopt.
  * Remove some bits from debian/rules that weren't being used.
  * Update the upstream author's address.

 -- Russ Allbery <rra@stanford.edu>  Fri, 15 Jul 2005 23:41:44 -0700

gtimer (1.1.6-5) unstable; urgency=low

  * Only change the configured window size on exit if the call to get the
    window size succeeds, rather than changing it to some random value off
    the stack.  Partially fixes #309779.
  * Update standards version to 3.6.2 (no changes required).

 -- Russ Allbery <rra@stanford.edu>  Wed, 29 Jun 2005 18:21:16 -0700

gtimer (1.1.6-4) unstable; urgency=medium

  * Revert and Resume now only revert times on the timers that were
    running, rather than all timers that had time for that day.  Fixes a
    bug introduced in the last release.  Thanks to Jamm!n Wheeler for the
    report.  (Closes: #309937)

 -- Russ Allbery <rra@stanford.edu>  Fri, 20 May 2005 10:05:56 -0700

gtimer (1.1.6-3) unstable; urgency=low

  * New maintainer.  (Closes: #288156)
  * Specify a file mode when saving reports.  (Closes: #276011)
  * Add a dialog box to configure the browser, which allows us to stop
    suggesting Netscape.  Default to x-www-browser in the absence of any

