=== debian/control ===
Source: gtimer
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Taylor LeMasurier-Wren <ripps818@gmail.com>
Build-Depends: debhelper (>= 7), gettext, libgtk2.0-dev, libglib2.0-dev,
 libxss-dev
Standards-Version: 3.9.1
Homepage: http://www.k5n.us/gtimer.php

Package: gtimer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: www-browser
Description: GTK-based X11 task timer
 A graphical program that tracks how your time is spent.  Maintains a
 simple list of tasks, each of which can belong to a project, and allows
 you to track time in each.  Multiple clocks can run simultaneously,
 annotations can be added to a day's time, and reports can be generated
 in either HTML or text.  If GTimer detects that you're idle, you are
 given the option of subtracting off the time you spent idle when you
 return.
 .
 Compared to other time tracking applications, GTimer is graphical without
 depending on a desktop environment and aims for simplicity rather than
 attempting to be a full-fledged project tracking and billing application.
