=== debian/watch ===
# watch -- Rules for uscan to find new upstream versions.

version=3
#http://www.k5n.us/gtimer.php?topic=Download .*/gtimer-(.*)\.tar\.bz2
http://sf.net/gtimer/gtimer-([\d\.]+)\.tar.*
